Album: Homestuck Vol. 3
Date: December 15, 2009
Date Added: December 12, 2020
URLs:
- https://www.youtube.com/playlist?list=PLnVpmehyaOFa87NHq4JwUlXbxWWaAqYgN
Cover Artists:
- Homestuck
Default Track Cover Artists:
- Homestuck
Color: '#ef001d'
Groups:
- Official
---
Track: Beatdown (Strider Style)
Artists:
- Curt Blakeslee
Art Tags:
- Dave
- Lil Cal
- Earth
Duration: '2:32'
URLs:
- https://homestuck.bandcamp.com/track/beatdown-strider-style-3
- https://youtu.be/laPOcRplQrw
---
Track: Harleboss
Artists:
- Malcolm Brown
Art Tags:
- John
Duration: '2:47'
URLs:
- https://homestuck.bandcamp.com/track/harleboss-3
- https://youtu.be/51vrPLt_LG8
Referenced Tracks:
- track:harlequin
Commentary: |-
    <i>Malcolm Brown:</i>
    Harlequin was awesome, and was quite a popular source for remixing the theme (it still is) so this was my early attempt.
    The soundfont is actually a FF6 SNES font I found somewhere (At lot of people got it from the choir). The SNES soundfont choice was taken from a kind of natural evolution the music was taking from the earlier Vol 1 8-bi to 16-bit style music.
    Not much to say on this one except it was quite a stereotypical 'Epic' boss battle theme - Choirs, church organs, bells, guitar and fast drums.
---
Track: Beatdown Round 2
Artists:
- Curt Blakeslee
Art Tags:
- Dave
- Dave's bro
Duration: '2:27'
URLs:
- https://homestuck.bandcamp.com/track/beatdown-round-2-3
- https://youtu.be/CuQpu45cmtw
Referenced Tracks:
- track:beatdown-strider-style
---
Track: Dissension (Original)
Artists:
- David Ko
Art Tags:
- Jade
- Jade's grandpa
Duration: '1:47'
URLs:
- https://homestuck.bandcamp.com/track/dissension-original-3
- https://youtu.be/az71j7AvBuQ
---
Track: Dissension (Remix)
Artists:
- David Ko
Art Tags:
- Jade
- Jade's grandpa
Duration: '2:03'
URLs:
- https://homestuck.bandcamp.com/track/dissension-remix-3
- https://youtu.be/mkPXt83h73w
Referenced Tracks:
- track:dissension-original
---
Track: Ohgodwhat
Artists:
- Nick Smalley
Duration: '1:06'
URLs:
- https://homestuck.bandcamp.com/track/ohgodwhat-3
- https://youtu.be/eX3QCmtmt4E
Commentary: |-
    <i>Nick Smalley:</i>
    WELL
    It was 2008 and I was a silly little boy and thought ORGMaker was good-ass music program, so I decided to make a song in it. Half an hour later forged this booger of a song. Seriously. It took half an hour to make this. Then I saw that THE HUSS posted something about a Problem Sleuth opening? So I was like damn that’s bananas I’ll show him up! (wow look at this nerd thinking he can actually make music)
    I sent it to his email and like a day later he sent one back asking about the music team. FLATTERING, IT WAS. So I was like sure sign me up g homey dog slice foo
    And that’s the story of how I got on the music team.
    Oh wait. You just wanted Ohgodwhat.
    (ps that’s what it was called when i made it too)
---
Track: Ohgodwhat Remix
Artists:
- Michael Guy Bowman
Duration: '1:05'
URLs:
- https://homestuck.bandcamp.com/track/ohgodwhat-remix-3
- https://youtu.be/ZuaMHCPnqOc
Referenced Tracks:
- track:ohgodwhat
---
Track: Rediscover Fusion
Artists:
- BurnedKirby
Duration: '1:36'
URLs:
- https://homestuck.bandcamp.com/track/rediscover-fusion-3
- https://youtu.be/5j7mzL-ctNo
---
Track: Rediscover Fusion Remix
Artists:
- Bill Bolin
Duration: '2:05'
URLs:
- https://archive.org/download/exile-pinkushion/17%20RS5%20%28Trancestep%20Mix%29.mp3
Referenced Tracks:
- track:rediscover-fusion
---
Track: Explore Remix
Artists:
- Gabe Nezovic
Duration: '2:00'
URLs:
- https://homestuck.bandcamp.com/track/explore-remix-3
- https://youtu.be/06qu70cLPaE
Referenced Tracks:
- track:explore
Sampled Tracks:
- track:explore
---
Track: Chorale for Jaspers
Artists:
- Michael Guy Bowman
Art Tags:
- Rose
- Rose's mom
Duration: '1:15'
URLs:
- https://homestuck.bandcamp.com/track/chorale-for-jaspers-3
- https://youtu.be/YkSq79X6MAw
---
Track: Pony Chorale
Artists:
- Michael Guy Bowman
Contributors:
- Tavia Morra (vocals)
Art Tags:
- John
Duration: '1:03'
URLs:
- https://homestuck.bandcamp.com/track/pony-chorale-3
- https://youtu.be/MHsZHFb5FqU
Referenced Tracks:
- track:chorale-for-jaspers
